Package io.vertx.grpc

## Class VertxChannelBuilder

- java.lang.Object
- - io.grpc.ManagedChannelBuilder<VertxChannelBuilder>
  - - io.vertx.grpc.VertxChannelBuilder

-     public class VertxChannelBuilder
      extends ManagedChannelBuilder<VertxChannelBuilder>

  Author:
    Julien Viet

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class io.grpc.ManagedChannelBuilder

      `ManagedChannelBuilder.InterceptorFactory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ManagedChannel` | `build()` |
    `VertxChannelBuilder` | `compressorRegistry​(CompressorRegistry registry)` |
    `VertxChannelBuilder` | `decompressorRegistry​(DecompressorRegistry registry)` |
    `VertxChannelBuilder` | `defaultLoadBalancingPolicy​(String policy)` |
    `VertxChannelBuilder` | `defaultServiceConfig​(Map<String,​?> serviceConfig)` |
    `VertxChannelBuilder` | `directExecutor()` |
    `VertxChannelBuilder` | `disableRetry()` |
    `VertxChannelBuilder` | `disableServiceConfigLookUp()` |
    `VertxChannelBuilder` | `enableRetry()` |
    `VertxChannelBuilder` | `executor​(Executor executor)` |
    `static VertxChannelBuilder` | `forAddress​(Vertx vertx, String host, int port)` |
    `static VertxChannelBuilder` | `forAddress​(Vertx vertx, SocketAddress address)` |
    `static VertxChannelBuilder` | `forTarget​(Vertx vertx, String target)` |
    `VertxChannelBuilder` | `idleTimeout​(long value, TimeUnit unit)` |
    `VertxChannelBuilder` | `intercept​(ClientInterceptor... interceptors)` |
    `VertxChannelBuilder` | `intercept​(List<ClientInterceptor> interceptors)` |
    `VertxChannelBuilder` | `keepAliveTime​(long keepAliveTime, TimeUnit timeUnit)` |
    `VertxChannelBuilder` | `keepAliveTimeout​(long keepAliveTimeout, TimeUnit timeUnit)` |
    `VertxChannelBuilder` | `keepAliveWithoutCalls​(boolean enable)` |
    `VertxChannelBuilder` | `maxHedgedAttempts​(int maxHedgedAttempts)` |
    `VertxChannelBuilder` | `maxInboundMessageSize​(int max)` |
    `VertxChannelBuilder` | `maxInboundMetadataSize​(int bytes)` |
    `VertxChannelBuilder` | `maxRetryAttempts​(int maxRetryAttempts)` |
    `VertxChannelBuilder` | `maxTraceEvents​(int maxTraceEvents)` |
    `VertxChannelBuilder` | `nameResolverFactory​(NameResolver.Factory resolverFactory)` | Deprecated.
    `NettyChannelBuilder` | `nettyBuilder()` |
    `VertxChannelBuilder` | `offloadExecutor​(Executor executor)` |
    `VertxChannelBuilder` | `overrideAuthority​(String authority)` |
    `VertxChannelBuilder` | `perRpcBufferLimit​(long bytes)` |
    `VertxChannelBuilder` | `proxyDetector​(ProxyDetector proxyDetector)` |
    `VertxChannelBuilder` | `retryBufferSize​(long bytes)` |
    `VertxChannelBuilder` | `setBinaryLog​(BinaryLog binaryLog)` |
    `VertxChannelBuilder` | `usePlaintext()` |
    `VertxChannelBuilder` | `userAgent​(String userAgent)` |
    `VertxChannelBuilder` | `useSsl​(Handler<ClientOptionsBase> handler)` |
    `VertxChannelBuilder` | `useTransportSecurity()` |

    - ### Methods inherited from class io.grpc.ManagedChannelBuilder

      `addMetricSink, addTransportFilter, forAddress, forTarget, interceptWithTarget, setNameResolverArg`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forTarget

          public static VertxChannelBuilder forTarget​(Vertx vertx,
                                                      String target)

    - #### forAddress

          public static VertxChannelBuilder forAddress​(Vertx vertx,
                                                       String host,
                                                       int port)

    - #### forAddress

          public static VertxChannelBuilder forAddress​(Vertx vertx,
                                                       SocketAddress address)

    - #### nettyBuilder

          public NettyChannelBuilder nettyBuilder()

      Returns:
        the underlying `NettyChannelBuilder`

    - #### directExecutor

          public VertxChannelBuilder directExecutor()

      Specified by:
        `directExecutor` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### executor

          public VertxChannelBuilder executor​(Executor executor)

      Specified by:
        `executor` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### intercept

          public VertxChannelBuilder intercept​(List<ClientInterceptor> interceptors)

      Specified by:
        `intercept` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### intercept

          public VertxChannelBuilder intercept​(ClientInterceptor... interceptors)

      Specified by:
        `intercept` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### userAgent

          public VertxChannelBuilder userAgent​(String userAgent)

      Specified by:
        `userAgent` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### overrideAuthority

          public VertxChannelBuilder overrideAuthority​(String authority)

      Specified by:
        `overrideAuthority` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### nameResolverFactory

          @Deprecated
          public VertxChannelBuilder nameResolverFactory​(NameResolver.Factory resolverFactory)

      Deprecated.
      Specified by:
        `nameResolverFactory` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### offloadExecutor

          public VertxChannelBuilder offloadExecutor​(Executor executor)

      Overrides:
        `offloadExecutor` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### defaultLoadBalancingPolicy

          public VertxChannelBuilder defaultLoadBalancingPolicy​(String policy)

      Overrides:
        `defaultLoadBalancingPolicy` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxInboundMetadataSize

          public VertxChannelBuilder maxInboundMetadataSize​(int bytes)

      Overrides:
        `maxInboundMetadataSize` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### proxyDetector

          public VertxChannelBuilder proxyDetector​(ProxyDetector proxyDetector)

      Overrides:
        `proxyDetector` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### defaultServiceConfig

          public VertxChannelBuilder defaultServiceConfig​(@Nullable
                                                          Map<String,​?> serviceConfig)

      Overrides:
        `defaultServiceConfig` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### disableServiceConfigLookUp

          public VertxChannelBuilder disableServiceConfigLookUp()

      Overrides:
        `disableServiceConfigLookUp` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### decompressorRegistry

          public VertxChannelBuilder decompressorRegistry​(DecompressorRegistry registry)

      Specified by:
        `decompressorRegistry` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### compressorRegistry

          public VertxChannelBuilder compressorRegistry​(CompressorRegistry registry)

      Specified by:
        `compressorRegistry` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### idleTimeout

          public VertxChannelBuilder idleTimeout​(long value,
                                                 TimeUnit unit)

      Specified by:
        `idleTimeout` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxInboundMessageSize

          public VertxChannelBuilder maxInboundMessageSize​(int max)

      Overrides:
        `maxInboundMessageSize` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### usePlaintext

          public VertxChannelBuilder usePlaintext()

      Overrides:
        `usePlaintext` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### useTransportSecurity

          public VertxChannelBuilder useTransportSecurity()

      Overrides:
        `useTransportSecurity` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### keepAliveTime

          public VertxChannelBuilder keepAliveTime​(long keepAliveTime,
                                                   TimeUnit timeUnit)

      Overrides:
        `keepAliveTime` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### keepAliveTimeout

          public VertxChannelBuilder keepAliveTimeout​(long keepAliveTimeout,
                                                      TimeUnit timeUnit)

      Overrides:
        `keepAliveTimeout` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### keepAliveWithoutCalls

          public VertxChannelBuilder keepAliveWithoutCalls​(boolean enable)

      Overrides:
        `keepAliveWithoutCalls` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxRetryAttempts

          public VertxChannelBuilder maxRetryAttempts​(int maxRetryAttempts)

      Overrides:
        `maxRetryAttempts` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxHedgedAttempts

          public VertxChannelBuilder maxHedgedAttempts​(int maxHedgedAttempts)

      Overrides:
        `maxHedgedAttempts` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### retryBufferSize

          public VertxChannelBuilder retryBufferSize​(long bytes)

      Overrides:
        `retryBufferSize` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### perRpcBufferLimit

          public VertxChannelBuilder perRpcBufferLimit​(long bytes)

      Overrides:
        `perRpcBufferLimit` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### disableRetry

          public VertxChannelBuilder disableRetry()

      Overrides:
        `disableRetry` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### enableRetry

          public VertxChannelBuilder enableRetry()

      Overrides:
        `enableRetry` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### setBinaryLog

          public VertxChannelBuilder setBinaryLog​(BinaryLog binaryLog)

      Overrides:
        `setBinaryLog` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### maxTraceEvents

          public VertxChannelBuilder maxTraceEvents​(int maxTraceEvents)

      Overrides:
        `maxTraceEvents` in class `ManagedChannelBuilder<VertxChannelBuilder>`

    - #### useSsl

          public VertxChannelBuilder useSsl​(Handler<ClientOptionsBase> handler)

    - #### build

          public ManagedChannel build()

      Specified by:
        `build` in class `ManagedChannelBuilder<VertxChannelBuilder>`